Subject: bug#77656: [PATCH] Don't escape "." in `prin1' unless followed by "?" or nothing

From: Stefan Monnier <[email-masked]>
Date: Tue, 15 Apr 2025 12:23:01 -0400

> As for future Emacsen, I contend that we won't want to change how this
> lexes in the future - it would break let-alist, for one thing.
>
> Incidentally, making it easier to work with let-alist was one of my main
> motivations for this change, since it ubiquitously uses symbols which
> start with ".".

Thanks, it's good to have a clear use-case.  You might want to mention
it in the commit message (tho at least now it's in the associated bug thread).
How often/much do we care about the printed form of `let-alist` expressions?
Maybe limiting the effect to ". at the beginning of symbol doesn't need
to be a escaped if the second char is a letter" would be good enough?

        Stefan